Page MenuHomePhabricator

The syntax highlight dialog's Apply changes action is enabled and disabled erratically
Closed, ResolvedPublic

Description

Examples of erratic behaviour:

  • The action is enabled when the dialog is first opened, before any changes are made
  • The action is disabled when the language input is invalid BUT is enabled again if a change is made to the code input, even though the language input is still invalid

The second example means it's actually possible to save an invalid lang attribute.

Event Timeline

Tchanders created this task.Oct 8 2018, 5:44 PM

Change 465198 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Update syntax highlight dialog actions consistently

https://gerrit.wikimedia.org/r/465198

TheDJ triaged this task as Medium priority.Oct 9 2018, 6:29 AM
TheDJ added a project: SyntaxHighlight.

Change 465198 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Update syntax highlight dialog actions consistently

https://gerrit.wikimedia.org/r/465198

Hmm, I don't have permission to edit this task. Wonder why? Unable to add Verify tag therefore.

Nevermind, got resolved magically!

Deskana closed this task as Resolved.Oct 11 2018, 3:04 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 11 2018, 3:04 PM